Extract a file archive
POST
apiToken storage:files:writeheader
AuthorizationBearer <token>A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.
Scope: storage:files:write
orderId*numberapplication/json- body
path*stringdest?stringOperation completed or accepted; asynchronous actions may still be running.
application/json- response
extracted*booleanpath*stringdest*stringentries*numbercurl -X POST 'https://api.deluxhost.net/v1/services/0/storage/files/extract' \ -H "Authorization: Bearer $DELUXHOST_TOKEN" \ -H 'Content-Type: application/json' \ -d '{ "path": "string"}'Example Response
{ "extracted": true, "path": "string", "dest": "string", "entries": 0}